Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002931Piwigodisplaypublic2013.06.24 15:582013.08.14 23:07
Reporterplg 
Assigned Tomistic100 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.5.0 
Target Version2.6.0beta2Fixed in Version2.6.0beta2 
Summary0002931: photos sort order, "default" is meaningless
Descriptionon index.php, in the photos sort order switchbox we have "default" checked by default. But "default" is meaningless for visitors. They have no idea what the administrator has defined as the default sort orders.

Let's check the most appropriate option instead, ie the first critera.

If $conf ['order_by_custom'] is used (nearly never) then OK for a meaningless checked option like "Default" or "Custom".
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships

-  Notes
(0007070)
svn (reporter)
2013.06.25 13:37

[Subversion] r23533 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
bug:2931 photos sort order, "default" is meaningless
check the first criteria if available
(0007076)
svn (reporter)
2013.06.30 06:16

[Subversion] r23675 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
bug 2931: photos sort order, "default" is meaningless (was not working with ascending order fields in admin)
(0007081)
svn (reporter)
2013.07.01 21:01

[Subversion] r23721 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
bug 2931: photos sort order, "default" is meaningless (fix again when order contains " ASC")
(0007091)
svn (reporter)
2013.07.06 20:31

[Subversion] r23813 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
bug 2931: revert r23675 & r23721, make element_set_ranks.php uses ASC keyword (+ migration task)

- Issue History
Date Modified Username Field Change
2013.06.24 15:58 plg New Issue
2013.06.24 15:58 plg Status new => assigned
2013.06.24 15:58 plg Assigned To => mistic100
2013.06.24 15:58 plg browser => any
2013.06.24 15:58 plg Web server => Apache 1.3.x
2013.06.24 15:59 plg Description Updated
2013.06.25 13:37 svn Checkin
2013.06.25 13:37 svn Note Added: 0007070
2013.06.30 06:16 svn Checkin
2013.06.30 06:16 svn Note Added: 0007076
2013.07.01 21:01 svn Checkin
2013.07.01 21:01 svn Note Added: 0007081
2013.07.06 20:31 svn Checkin
2013.07.06 20:31 svn Note Added: 0007091
2013.08.14 23:07 mistic100 Status assigned => closed
2013.08.14 23:07 mistic100 Resolution open => fixed
2013.08.14 23:07 mistic100 Fixed in Version => 2.6.0beta2


Copyright © 2000 - 2017 MantisBT Team
Contact
Powered by Mantis Bugtracker